#
# spec file for package python-eyeD3
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-eyeD3
Summary:        Python Module for ID3 Tag Manipulation
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Version:        0.7.4
Release:        7.5
Source0:        http://eyed3.nicfit.net/releases/eyeD3-%{version}.tgz
# CVE-2014-1934: insecure use of `mktemp` when rewriting tags
Patch0:         CVE-2014-1934-mktemp.patch
Url:            http://eyed3.nicfit.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     python-magic
BuildRequires:  python-devel
BuildRequires:  python-magic
BuildRequires:  python-setuptools
%{py_requires}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Python module for the the manipulation of ID3 tags. It supports the
versions 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also
retrieve information, such as length and bit rate, from an MP3 file.

%prep
%setup -n eyeD3-%{version}
%patch0 -p1

%build
%__python setup.py build

%install
%__python setup.py install --prefix="%{_prefix}" --root=%{buildroot}
%__install -d -m755 "%{buildroot}/%{_bindir}"
%__install -m755 bin/eyeD3 "%{buildroot}/%{_bindir}/"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README.rst
%{_bindir}/eyeD3
%{python_sitelib}/*

%changelog
* Mon Apr 28 2014 jmatejek@suse.com
- update to 0.7.4:
  * new `fixup` plugin for repairing tags in directories
  * more steps towards Python3 compatibility
  * APIs modified to be more reusable
  * recognize more exotic MIME types for mp3 files
  * fixed crash on non-ascii URLs
  * supports python-magic >= 0.4.4
  * several new features and bugfixes
- added CVE-2014-1934-mktemp.patch: insecure use of temporary files
  (CVE-2014-1934-mktemp.patch, bnc#863744)
* Wed Sep 11 2013 os-dev@jacraig.com
- Fix build on SLE 11 SP1: add conditional definition of python_sitelib.
* Sun Sep  8 2013 os-dev@jacraig.com
- Update to 0.7.3:
  * Allow setup.py to run with having ``paver`` installed.
  * [statistics plgin] Don't crash when 0 files are processed.
- Changes from 0.6.18 to 0.7.2:
  * Many new features and bug fixes.  Please see docs/changelog.rst.
  * This release is **NOT** API compatible with 0.6.x. The majority of the
    command line interface has been preserved although many options have
    either changed or been removed.
- Add python-devel and -setuptools dependencies.
- Update build step: no more ./configure, make.
- Don't use INSTALLED_FILES anymore.
* Sun Nov 27 2011 pascal.bleser@opensuse.org
- update to 0.6.18:
  * supports disc number frames
  * adds %%Y (year) and %%G (genre) substitution variables for file renames
  * improves XML (--jep-118) escaping
  * adds and a new output (--rfc822) format
  * makes --rename no longer clobber files
  * adds the new option --itunes to write only iTunes-accepted genres
  * if available, the "magic" module will be used to determine mimetypes when
    the filename is not enough
  * --set-encoding can be used along with a version conversion arg to apply a
    new encoding to the new tag
  * less crashing now occurs when invalid user text frames or invalid BPM
    values are encountered
* Tue Aug 11 2009 matejcik@suse.cz
- build as noarch on newer distros
* Wed Aug  5 2009 matejcik@suse.cz
- update to 0.6.17
  * minor bugfixes
  * proper exit code for eyed3 cmdline tool
* Fri Sep 12 2008 matejcik@suse.cz
- update to 0.6.16
  * minor bugfixes
  * fixed infinite loop in malformed APIC frames
* Thu Jul 26 2007 jmatejek@suse.cz
- update to 0.6.14
  * decreased memory consumption
  * .nfo output option
  * extraction of Lame encoding info
  * fixed many write and other bugs
* Thu Oct 19 2006 jmatejek@suse.cz
- update to 0.6.10
- better support for i18n
- faster MP3 header search and other improvements
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 10 2005 jmatejek@suse.cz
- update to 0.6.8
* Wed Feb  9 2005 mcihar@suse.cz
- update to 0.6.4
- drop not needed patch
* Wed Nov 24 2004 mcihar@suse.cz
- update to 0.6.3
* Wed Aug 25 2004 mcihar@suse.cz
- don't need python-optik
* Wed Aug 18 2004 mcihar@suse.cz
- initial packaging
